# in case of update, update also hyphen-cs, it's the same source

%define languageenglazy Czech
%define languagecode    cs
%define lc_ctype        cs_CZ

Name:           hunspell-%{languagecode}
Version:        20060303
Release:        %mkrel 24
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPL+
Group:          System/Internationalization
URL:            ftp://ftp.linux.cz/pub/localization/OpenOffice.org/devel/Czech/spell_checking/
Source0:        openoffice.org-dict-cs_CZ.tar.gz

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-cs
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

# Something old unknown thing..
Obsoletes: openoffice.org-dict-cs_CZ < %{version}-%{release}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -n openoffice.org-dict-cs_CZ

%build
iconv -f ISO-8859-2 -t UTF-8 README_hyph_cs_CZ.txt > README_hyph_cs_CZ.txt.new
mv -f README_hyph_cs_CZ.txt.new README_hyph_cs_CZ.txt

%install
install -D -m 0644 -p cs*.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p cs*.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README_cs_CZ.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 20060303-24.mga9
+ Revision: 1801763
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 20060303-23.mga8
+ Revision: 1491641
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 20060303-22.mga7
+ Revision: 1263612
- Mageia 7 Mass Rebuild

* Tue Feb 02 2016 umeabot <umeabot> 20060303-21.mga6
+ Revision: 931672
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 20060303-20.mga5
+ Revision: 750392
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 20060303-19.mga5
+ Revision: 680221
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 20060303-18.mga4
+ Revision: 505607
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 20060303-17.mga3
+ Revision: 353408
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 20060303-16.mga3
+ Revision: 325186
- rebuild for Mga3 Beta1

* Tue Mar 20 2012 kamil <kamil> 20060303-15.mga2
+ Revision: 224580
- add requirement on locales (mga#4632)

* Sun Feb 12 2012 kamil <kamil> 20060303-14.mga2
+ Revision: 207738
- adapt .spec to the current policies

* Sun Feb 12 2012 kamil <kamil> 20060303-13.mga2
+ Revision: 207687
- remove hyphen-cs parts from the .spec

* Sun Feb 12 2012 kamil <kamil> 20060303-12.mga2
+ Revision: 207675
- rename package to hunspell-cs
- rename source package

* Thu Mar 24 2011 ahmad <ahmad> 20060303-11.mga1
+ Revision: 77106
- fix Group

* Sun Mar 13 2011 dmorgan <dmorgan> 20060303-10.mga1
+ Revision: 70327
- imported package openoffice.org-dict-cs_CZ


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20060303-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20060303-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20060303-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Nov 26 2007 Tomas Mraz <tmraz@redhat.com> - 20060303-7
- add obsoletes openoffice.org-dict-cs_CZ

* Mon Nov 26 2007 Caolan McNamara <caolanm@redhat.com> - 20060303-6
- Resolves: rhbz#398361 move hyphenation rules into hyphen dir where OOo will now autodetect them

* Tue Mar 27 2007 Tomas Mraz <tmraz@redhat.com> - 20060303-5
- add hunspell-cs subpackage (#232416)
- openoffice datadir moved again

* Mon Jan 29 2007 Tomas Mraz <tmraz@redhat.com> - 20060303-4
- disable useless debuginfo (#225094)

* Mon Dec 11 2006 Tomas Mraz <tmraz@redhat.com> - 20060303-3
- package must be arch-specific now because ooo is now 64bit on x86_64 as
  well (#219100)

* Thu Sep  7 2006 Tomas Mraz <tmraz@redhat.com> - 20060303-2
- rebuilt for FC6

* Tue Mar 21 2005 Tomas Mraz <tmraz@redhat.com> - 20060303-1
- Initial package
